void between()
{
  const unsigned int FSM_PERIOD = 100;   //ms

  if ( (millis() - time_old) >= FSM_PERIOD)
  {
    time_old += FSM_PERIOD;
    Step();
  }
}

void Act(byte no, boolean state)
{
  if (no == 1)digitalWrite(PIN_ACTUATOR1, state);
  if (no == 2)digitalWrite(PIN_ACTUATOR2, state);
}

void Step() {
  Serial.println(potisave);
  static byte Step = 0;
  static int timer;

  switch (Step) 
  {
    case 0: Act(1, ON); timer = 1; Step = 1; break;    
    case 1: timer--; if (timer == 0) Step = 2;break;    
    case 2: Act(1, OFF); timer = potisave/100; Step = 3; break;    
    case 3: timer--; if (timer == 0) Step = 4; break;    
    case 4: Act(2, ON);  timer = 1; Step = 5; break;    
    case 5: timer--; if (timer == 0) Step = 6; break;    
    case 6: Act(2, OFF); timer = potisave/100; Step = 7; break;    
    case 7: timer--; if (timer == 0) Step = 0;break;
  }
}

int Holding_Points() {

  static boolean initial_overwrite = true;
  static boolean cycle = false;
  unsigned long currentMillis;
  static unsigned long previousMillis;
  const int delayWarten = 500;
  static byte i = 12;
  char initial_AND_cycle_overwrite_content [] = "                ";

  if (initial_overwrite || cycle) {
    lcd.setCursor(0, 1);
    lcd.print(initial_AND_cycle_overwrite_content);
    initial_overwrite = false;
    cycle = false;
  }

  currentMillis = millis();
  if (currentMillis - previousMillis >= delayWarten)
  {
    previousMillis = currentMillis;
    i++;

    if (i >= 16) {
      i = 13;
      cycle = true;
    }
  }
  return i;
}
