#include <LCD_I2C.h>
LCD_I2C lcd(0x27);

boolean ON = 1;
boolean OFF = 0;
unsigned long time_old;

//---Menütastenpins---//

byte const upButton = 6;
byte const downButton = 7;
byte const selectButton = 4;
byte const backtomenu = 5;
const int PIN_ACTUATOR1 = 2;
const int PIN_ACTUATOR2 = 3;

//---Menütastatus---//

static boolean menuState1_1 = false;
static boolean menuState1_2 = false;
static boolean menuState1_3 = false;
static boolean MainMenuLocked = false;
static boolean ActionStateDisplay = false;

int potisave;

static byte i = 12;

//---Menüstart bei Menüpunkt 1---//

int menu = 1;

void setup() {
  Serial.begin(9600);
  time_old = millis();
  lcd.begin();
  lcd.backlight();
  pinMode(upButton, INPUT_PULLUP);
  pinMode(downButton, INPUT_PULLUP);
  pinMode(selectButton, INPUT_PULLUP);
  pinMode(backtomenu, INPUT_PULLUP);
  pinMode(PIN_ACTUATOR1, OUTPUT);
  pinMode(PIN_ACTUATOR2, OUTPUT);
  updateMenu();

}

void loop() {

  Bedienung();
  if(fallingEdgeMenu())
  {
    menuState1_1 = false;
    menuState1_2 = false;
    menuState1_3 = false;
    MainMenuLocked = false;
    ActionStateDisplay = false;
    updateMenu();
  }
  if (menuState1_1)submenu1_1();
  if (menuState1_2)submenu1_2();
  if (menuState1_3)submenu1_3();
  if (ActionStateDisplay)Action_Display();

}
